-- load defaults i.e lua_lsp
require("nvchad.configs.lspconfig").defaults()

local lspconfig = require "lspconfig"

-- EXAMPLE
local servers = { "html", "cssls", "ts_ls","tailwindcss", "gopls", "rust_analyzer", "ruff", "pyright", "lua_ls" }
local nvlsp = require "nvchad.configs.lspconfig"

-- lsps with default config
for _, lsp in ipairs(servers) do
  lspconfig[lsp].setup {
    on_attach = nvlsp.on_attach,
    on_init = nvlsp.on_init,
    capabilities = nvlsp.capabilities,
  }
end

local ltex_dict_path = vim.fn.getcwd() .. "/.ltexwords"

-- Vérifie si le fichier existe
local dictionary_words = {"gls", "clearpage", "ldap"}
if vim.fn.filereadable(ltex_dict_path) == 1 then
  for line in io.lines(ltex_dict_path) do
    table.insert(dictionary_words, line)
  end
end

lspconfig.ltex.setup({
 settings = {
    ltex = {
      language = "fr",
      dictionary = {
        ["fr"] = dictionary_words,
      },
    },
  },
  filetypes = { "markdown", "tex", "text" },
})

-- lspconfig.harper_ls.setup({
--   on_attach = nvlsp.on_attach,
--   on_init = nvlsp.on_init,
--   capabilities = nvlsp.capabilities,
-- })

-- configuring single server, example: typescript
-- lspconfig.ts_ls.setup {
--   on_attach = nvlsp.on_attach,
--   on_init = nvlsp.on_init,
--   capabilities = nvlsp.capabilities,
-- }
